Loading...
Searching...
No Matches
caf::sum_type_access< variant< Ts... > > Struct Template Reference

Enable holds_alternative, get, get_if, and visit for variant. More...

`#include <variant.hpp>`

Inheritance diagram for caf::sum_type_access< variant< Ts... > >:

## Static Public Attributes

static constexpr bool | specialized
Static Public Attributes inherited from caf::default_sum_type_access< variant< Ts... > >
static constexpr bool | specialized

## Additional Inherited Members

Public Types inherited from caf::default_sum_type_access< variant< Ts... > >
using | types
using | type0
Static Public Member Functions inherited from caf::default_sum_type_access< variant< Ts... > >
static bool | is (const variant< Ts... > &x, sum_type_token< U, Pos > token)
static U & | get (variant< Ts... > &x, sum_type_token< U, Pos > token)
static U * | get_if (variant< Ts... > *x, sum_type_token< U, Pos > token)
static Result | apply (variant< Ts... > &x, Visitor &&visitor, Ts &&... xs)

## Detailed Description

template<class... Ts>
struct caf::sum_type_access< variant< Ts... > >

Enable holds_alternative, get, get_if, and visit for variant.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/variant.hpp